# Enum Class MLinkRole

java.lang.Object
java.lang.Enum<MLinkRole>
com.io7m.montarre.api.MLinkRole

All Implemented Interfaces:
  `Serializable`, `Comparable<MLinkRole>`, `Constable`

public enum MLinkRole extends Enum<MLinkRole>
The role of a link.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTACT`
  A link to a contact page.
  `CONTRIBUTE`
  A link to a contribution page.
  `DONATION`
  A link to a donation page.
  `FAQ`
  A link to an FAQ page.
  `HOME_PAGE`
  A link to a home page.
  `ISSUES`
  A link to an issue tracker.
  `SCM`
  A link to an SCM repository.
  `TRANSLATE`
  A link to a translation page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MLinkRole`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MLinkRole[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ISSUES

    public static final MLinkRole ISSUES
    A link to an issue tracker.

  - ### HOME_PAGE

    public static final MLinkRole HOME_PAGE
    A link to a home page.

  - ### DONATION

    public static final MLinkRole DONATION
    A link to a donation page.

  - ### CONTACT

    public static final MLinkRole CONTACT
    A link to a contact page.

  - ### FAQ

    public static final MLinkRole FAQ
    A link to an FAQ page.

  - ### TRANSLATE

    public static final MLinkRole TRANSLATE
    A link to a translation page.

  - ### CONTRIBUTE

    public static final MLinkRole CONTRIBUTE
    A link to a contribution page.

  - ### SCM

    public static final MLinkRole SCM
    A link to an SCM repository.

- ## Method Details

  - ### values

    public static MLinkRole[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MLinkRole valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null